declare namespace native {
    interface CefQuery {
        request: string;
        onSuccess(response: string): void;
        onFailure(errorCode: string, errorMessage: String): void;
    }

    interface EventDispatch {
        dispatch(msg: string): void;
    }
}

interface Window {
    cefQuery(request: native.CefQuery): void;
    eventdispatch: native.EventDispatch;
    dispatch(msg: string): boolean;
}